import request from '@/utils/request'

// 查询财务报主列表
export function listStatements(query) {
  return request({
    url: '/basicData/xcrMainFinancialStatements/findByPage',
    method: 'get',
    params: query
  })
}

// 查询财务报主详细
export function getStatements(xhCodeId) {
  return request({
    url: '/basicData/xcrMainFinancialStatements/' + xhCodeId,
    method: 'get'
  })
}

// 新增财务报主
export function addStatements(data) {
  return request({
    url: '/basicData/xcrMainFinancialStatements',
    method: 'post',
    data: data
  })
}

// 修改财务报主
export function updateStatements(data) {
  return request({
    url: '/basicData/xcrMainFinancialStatements',
    method: 'put',
    data: data
  })
}

// 删除财务报主
export function delStatements(xhCodeId) {
  return request({
    url: '/basicData/xcrMainFinancialStatements/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delStatementsBatch(ids) {
  return request.post('/basicData/xcrMainFinancialStatements/delete',ids)
}
